%define anolis_release 2
%global ver_x %(echo %{version} | cut -d. -f1)
%global ver_y %(echo %{version} | cut -d. -f2)

Name:           js-jquery
Version:        3.6.0
Release:        %{anolis_release}%{?dist}
Summary:        JavaScript DOM manipulation, event handling, and AJAX library
License:        MIT
URL:            https://jquery.com/
Source0:        https://github.com/jquery/jquery/archive/%{version}/jquery-%{version}.tar.gz
Source1:        jquery_%{version}_node_modules.tar.gz

BuildArch:      noarch

BuildRequires:  web-assets-devel
BuildRequires:  nodejs nodejs-packaging

Requires:       web-assets-filesystem

Provides:       bundled(js-sizzle) = 2.3.5
Provides:       bundled(sizzle) = 2.3.5
Provides:       %{name}%{ver_x}-static = %{version}-%{release}
Provides:       %{name}%{ver_x} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}
Provides:       jquery = %{version}-%{release}

%description
jQuery is a fast, small, and feature-rich JavaScript library. It makes things
like HTML document traversal and manipulation, event handling, animation, and
Ajax much simpler with an easy-to-use API that works across a multitude of
browsers. With a combination of versatility and extensibility, jQuery has
changed the way that millions of people write JavaScript.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n jquery-%{version} -v 

rm -rf dist/*

tar xf %{SOURCE1}

%build
./node_modules/grunt-cli/bin/grunt -v 'build:*:*' uglify

%check
./node_modules/grunt-cli/bin/grunt -v 'build:*:*' test:prepare test:fast

%install
mkdir -p %{buildroot}%{_jsdir}/jquery/%{version}
install -m 0644 -p dist/jquery.js %{buildroot}%{_jsdir}/jquery/%{version}/jquery.js
install -m 0644 -p dist/jquery.min.js %{buildroot}%{_jsdir}/jquery/%{version}/jquery.min.js
install -m 0644 -p dist/jquery.min.map %{buildroot}%{_jsdir}/jquery/%{version}/jquery.min.map
ln -s %{version} %{buildroot}%{_jsdir}/jquery/latest
ln -s %{version} %{buildroot}%{_jsdir}/jquery/%{ver_x}
ln -s %{version} %{buildroot}%{_jsdir}/jquery/%{ver_x}.%{ver_y}

mkdir -p %{buildroot}%{_webassetdir}
ln -s ../javascript/jquery %{buildroot}%{_webassetdir}/jquery

%files
%license LICENSE.txt
%{_webassetdir}/jquery
%{_jsdir}/jquery

%files doc
%doc README.md CONTRIBUTING.md AUTHORS.txt 

%changelog
* Wed Apr 12 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 3.6.0-2
- optimise spec file

* Wed Apr 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.6.0-1
- init from upstream
